//
//  CoreApiImpl.swift
//  Runner
//
//  Created by 胖胖虎 on 2025/9/30.
//
class CoreApiImpl: CoreApi {
    let controller: FlutterViewController

    init(controller: FlutterViewController) {
        self.controller = controller
    }

    func getApps() -> String? {
        return "getApps"
    }

    func getSystemLocale() -> String? {
        return "getSystemLocale"
    }

    func connect() -> Bool? {
        return true
    }

    func disconnect() -> Bool? {
        return true
    }

    func getRemoteIp() -> String? {
        return "getRemoteIp"
    }

    func getAdvertisingId() -> String? {
        return "getAdvertisingId"
    }

    func moveTaskToBack() -> Bool? {
        return true
    }

    func isConnected() -> Bool? {
        return true
    }
}

